module Data.Equal where

import Data.Type
import Generics.Pointless.Functors

data Equal a b where
    Eq :: Equal a a

isInt :: Type a -> Maybe (Equal a Int)
isList :: Type a -> Maybe (Equal a [b])
isNat :: Type a -> Maybe (Equal a Nat)